(function( $ ) {
 
    $(function() {
      $('.color-picker-field').wpColorPicker();
    });

    $('#upload-btn').on('click', function(e) {
        e.preventDefault();
        var image = wp.media({ 
            title: 'Upload Image',
            // mutiple: true if you want to upload multiple files at once
            multiple: false
        }).open()
        .on('select', function(e){
            // This will return the selected image from the Media Uploader, the result is an object
            var uploaded_image = image.state().get('selection').first();
            // We convert uploaded_image to a JSON object to make accessing it easier
            // Output to the console uploaded_image
            console.log(uploaded_image);
            var image_url = uploaded_image.toJSON().url;
            // Let's assign the url value to the input field
            $('#image_url').val(image_url);
        });
    });

    $('#settings-form-submit-nosave, .settings-form-submit-nosave').on('click', function(e) {
    	$('#save_form').val("0");
        $( "#mgupreloader_settings_form" ).submit();
    });

    $('.settings-form-submit-save').on('click', function(e) {
        $( "#mgupreloader_settings_form" ).submit();
    });

    $('.preview-style-wrapper.preview-style-css').on('click', function(e) {
        var select_id = ($(this).attr('data-id'));
     
        $('#mgtup_change_style option[data-id='+select_id+']').attr('selected','selected');
        $('html,body').animate({ scrollTop: $("#form-table-css-preloaders").offset().top }, 'slow');

    });

    $('.preview-style-wrapper.preview-style-gif').on('click', function(e) {
        var select_id = ($(this).attr('data-id'));
     
        $('#mgtup_change_gif_style option[data-id='+select_id+']').attr('selected','selected');
        $('html,body').animate({ scrollTop: $("#form-table-gif-preloaders").offset().top }, 'slow');

    });

    $('.link-smooth-scroll').on('click', function(e) {
        e.preventDefault();
        e.stopPropagation();
        $('html,body').animate({ scrollTop: $($(this).attr('href')).offset().top }, 'slow');
    });
    
     
})( jQuery );
